<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Script moteur des actions courantes
// Nom      : actions.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
?>

  // ==== Lance une action selon le contexte ====
  function lanceAction(url) {
    nomElement=memoNom+"."+memoType; typeElement=memoType; srvElement=memoSrv;
    proElement=memoPro; lienElement=memoLien; lienElement=memoLien;
    if ((memoWeb.length>1)&&(memoPro=="url")) lienElement=memoWeb;
    if (proElement=="dossier") typeElement="dossier";
    if (proElement=="sup") typeElement="sup";
    if ((url!="")&&(url!="undefined")) { if (url.lastIndexOf(".")) typeElement= basename(url).substring(url.lastIndexOf("."),url.length);
                                        else typeElement= "dossier";
                   iciLien= url; }
    if (typeElement=="") actionElement="ouvrirAvec"; else {
      actionElement="ouvrirAvec";
      actionType= typeElement.toLowerCase();
      if (tabAction[actionType]!=undefined) actionElement=tabAction[actionType]; }
    if (actionElement.indexOf("Module(")>0)
         setTimeout(actionElement, 10);
    else setTimeout(actionElement+"(lienElement)", 10);
  }

  // ==== Affichage la visualisation du contenu d'un fichier ====
  function ouvrir(url) {
    cheminUrl=url;
    if (memoWeb.length>1) { url=memoWeb;
      if ((url.indexOf(".rss")>0)||(url.indexOf(".xml")>0))
             url="moteur/ouvrir.php?url="+encodeURIComponent(memoWeb);
    } else { url="moteur/ouvrir.php?url="+encodeURIComponent(memoLien); }
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="'+url+'" frameborder="0" allowtransparency="false"></iframe>';
    if ((url.indexOf(".txt")>0)||(url.indexOf(".css")>0)||(url.indexOf(".php")>0))
      menuDivers(); else menuVide();
    montrer("<div class='lienfichier' onclick='cacher();'><u>&nbsp; <?php echo $_SESSION["ws"]["dia"]["filePreview"]?> &nbsp;"+affichUrl(cheminUrl)+"</u></div>");
  }

  // ==== Force l'ouverture d'un fichier avec le logiciel associé ====
  function ouvrirAvec(url) {
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="moteur/ouvrir.php?pop=1&url='+encodeURIComponent(url)+'" frameborder="0" allowtransparency="false" scrolling="yes"></iframe>';
  }

  // ==== Enregistre le document sélectionné ====
  function sauver(url) {
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="moteur/ouvrir.php?forcedl=1&url='+encodeURIComponent(url)+'" frameborder="0" allowtransparency="false" scrolling="yes"></iframe>';
  }

  // ==== Sélectionne le dossier ou fichier ====
  function selectionner(url) {
  }

  // ==== Déselectionne le dossier ou fichier ====
  function deselectionner(url) {
  }

  // ==== Sélectionne tout ====
  function toutSelectionner(url) {
  }

  // ==== Desélectionne tout ====
  function toutDeselectionner(url) {
  }


  // ==== Affichage d'une page HTML ====
  function visiter(url) {
    cheminUrl=url;
    if (memoWeb.length>1) url=memoWeb; else url="moteur/ouvrir.php?url="+encodeURIComponent(memoLien);
    <?php if ($_SESSION["ws"]["linkWin"]=="1") echo 'window.open (url,"_up")'; else { ?>
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="'+url+'" frameborder="0" allowtransparency="false"></iframe>';
    menuLiens();
    montrer("<div class='lienfichier' onclick='cacher();'><u>&nbsp; <?php echo $_SESSION["ws"]["dia"]["webPreview"]?> &nbsp;"+affichUrl(cheminUrl)+"</u></div>");
    <?php } ?>
  }
  function surfer(url) {
    cheminUrl=url;  
    <?php if ($_SESSION["ws"]["linkWin"]=="1") echo 'window.open (url,"_up")'; else { ?>
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="'+url+'" frameborder="0" allowtransparency="false"></iframe>';
    menuLiens();
    montrer("<div class='lienfichier' onclick='cacher();'><u>&nbsp; <?php echo $_SESSION["ws"]["dia"]["webPreview"]?> &nbsp;"+affichUrl(cheminUrl)+"</u></div>");
    <?php } ?>
  }

  // ==== Affiche la visualisation d'une image ====
  function afficher(url) {
    cheminUrl=url;  
    if ( (memoWeb.length>1)&&!(document.getElementById('visuImg')) ) url=memoWeb;
    if (memoSize>4000000) {
      demander("info","<?php echo $_SESSION["ws"]["dia"]["picTooBig"]?> ","");
      sauver(url);
      return false; }

    rephttp = getNewXMLHTTP();
    rephttp.onreadystatechange = afficherApercu;
    rephttp.open("GET", "moteur/apercu.php?url="+encodeURIComponent(url), true);
    rephttp.send(null);
    menuImage();
    if (document.getElementById('cadrpic')) document.getElementById('cadrpic').innerHTML="";
    montrer("<div class='lienfichier' onclick='cacher();'><u>&nbsp; <?php echo $_SESSION["ws"]["dia"]["pictPreview"]?> &nbsp;"+affichUrl(cheminUrl)+"</u></div>");
  }

  // ==== Affiche la frame d'aperçu ====
  function afficherApercu() {
    if ((rephttp.readyState == 4) && (rephttp.status == 200)) {
      dj = new Date();
      actual = dj.getMinutes()+dj.getSeconds();    
      document.getElementById('frame_detail').innerHTML=rephttp.responseText;
      hauteurbox = (document.getElementById("frame_detail").<?php echo $instr?>Height-150)/2;
      document.getElementById('loadingImg').style.paddingTop=eval(hauteurbox)+"px"; 
      document.getElementById('frame_detail').style.overflow="hidden";
      document.getElementById('cadrpic').innerHTML="<img src="+'"'+"moteur/pic.php?actual="+actual+"&pic="+encodeURIComponent(memoLien)+'"'+" id='visuImg' name='visuImg' style='position:absolute;<?php echo $filtre; ?>' border='0'  onload='centrer(1); new Draggable(document.getElementById("+'"visuImg"'+"), {}); new Effect.Appear(document.getElementById("+'"visuImg"'+")); hideLoading();'>";            
      
      req_asyncp ("moteur/exif.php?url="+encodeURIComponent(memoLien),afficherExif);      
      corriger();
    }
  }

  // ==== Visualiser une vidéo ====
  function visionner(url) {
      document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="plugins/flvplayer/index.php?chemin='+encodeURIComponent('../../moteur/ouvrir.php?url='+url)+'" frameborder="0" allowtransparency="false"></iframe>';
      menuVide();
      montrer("<div class='lienfichier' onclick='cacher();'><u>&nbsp; <?php echo $_SESSION["ws"]["dia"]["filePreview"]?> &nbsp;"+affichUrl(url)+"</u></div>");
  }

  // ==== Ecouter un fichier son ====
  function ecouter(url) {
   document.getElementById('playermp3').style.display="block";
     document.getElementById('playermp3').innerHTML='<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" width="180" height="74" id="player" align="middle">'
       +'<param name="allowScriptAccess" value="sameDomain" />'
       +'<param name="movie" value="moteur/player.swf?chemin=<?php echo urlencode($_SESSION["ws"]["cheminImg"])?>&morceau='+encodeURIComponent('moteur/ouvrir.php?url='+url)+'" />'
       +'<param name="quality" value="high" /><param name="bgcolor" value="#000000" />'
       +'<embed src="moteur/player.swf?chemin=<?php echo urlencode($_SESSION["ws"]["cheminImg"])?>&morceau='+encodeURIComponent('moteur/ouvrir.php?url='+url)+'" quality="high" bgcolor="#000000" width="180" height="74" name="player" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" /></object>';
  }

  // ==== Imprime le document si possible ====
  function imprimer(url){
  document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="moteur/ouvrir.php?url='+encodeURIComponent(url)+'" frameborder="0" allowtransparency="false"></iframe>';
    printcadre=eval(parent.document.getElementById('frame_detail'));
    printcadre.focus();
    window.print();
  }

  // ==== Ouvre un fichier a partir du module spécifié ====
  function openModule(repPlugin,url) {
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="plugins/'+repPlugin+'/index.php?url='+encodeURIComponent(url)+'&chemin='+encodeURIComponent('moteur/ouvrir.php?nothl=1&url='+url)+'" frameborder="0" allowtransparency="false"></iframe>';
    menuVide();
    montrer("<div class='lienfichier' onclick='cacher();'><u>&nbsp; <?php echo $_SESSION["ws"]["dia"]["filePreview"]?> &nbsp;"+affichUrl(url)+"</u></div>");
  }



  // ==== Réactualise le dossier ====
  function actualiser() {
    document.getElementById('liens').className = 'masque';
    document.getElementById('charge').className = 'montre';
    <?php if (isset($_SESSION["ws"]["effectAct"])&&($_SESSION["ws"]["effectAct"]=="1")) echo "if (alphamenu>50) menuDisappear();";
          else echo "document.getElementById('context_box').style.display='none';\n"; ?>
    if (clicDiv==0) { iciType='defaut'; memoType='defaut'; context_load(); }
    req_asyncnav("moteur/naviguer.php",actuel,triggerNaviguer);
  }

  // ==== Réactualise le dossier après upload ====
  function actualiserUp() {
    req_asyncnav("moteur/naviguer.php",actuel,triggerNaviguer);
  }

  // ==== Remonte au dossier supérieur ====
  function remonter(url) {
    if (url!="") naviguer(url);
  }

  // ==== Retourne au dossier précédent ====
  function precedent(url) {
    if (url!="") naviguer(url);
  }

  // ==== Retourne au dossier suivant ====
  function suivant(url) {
    if (url!="") naviguer(url);
  }

  // ==== Ouvre une fenêtre de message pour contacter l'auteur ====
  function contacter(url) {
    window.open("mailto:info@webshare.fr",'_self');
  }

  // ==== Quitte l'explorateur en fermant la session ====
  function quitter(url) {
    window.location.href='index.php';
  }

  // ==== Ouvre le script d'upload de fichier ====
  function openUpload(path) {
    fileUpload = this.open("moteur/upload.php","FileUpload", "toolbar=no,menubar=no,location=no,scrollbars=no,resizable=yes,directories=no,status=no,left=" + ((screen.width/2)-300) + ",top="+((screen.height/2)-200)+",width=450,height=230");
  }

  // ==== Affiche l'invite d'une demande de gestion de fichiers ====
  function demander(typedemande,texte,lancer_fonction) {
    if (document.getElementById('frame_demande').style.visibility=="visible") cacherDemande();
    if (dispinvite!=0) { clearTimeout(dispinvite); dispinvite=0; }
    document.getElementById('frame_demande').style.height="30px";
    document.getElementById('frame_galerie').style.bottom="76px";
    document.getElementById('frame_demande').innerHTML= nettoieUrl(texte)+"<img src='style/"+styleActif+"/images/ok.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick=\""+((lancer_fonction.length!=0)?lancer_fonction+"()":"cacherDemande();")+"\">&nbsp;"
      +((typedemande=="choix")?"<img src='style/"+styleActif+"/images/cancel.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick=\"cacherDemande();\">":"")+"</form><div id='info_demande' style='padding:8px'></div>";
    cycle=0; prog=10; pas=100/prog; alpha=0; fonduDemande();
  }

  // ==== Masque l'invite d'une demande de gestion de fichiers ====
  function cacherDemande() {
    document.getElementById('frame_galerie').style.bottom="36px";
    cycle=0; prog=10; pas=-100/prog; alpha=100; fonduDemande();
  }

  // ==== Detecte si le fichier a charger est une archive Zip ====
  function detectZip(nomFichier) {
    if (nomFichier.indexOf(".zip")!=-1) document.getElementById('zipbox').style.visibility="visible";
                                   else document.getElementById('zipbox').style.visibility="hidden";
  }

  // ==== Affiche le retour des fonctions de gestion de fichiers ====
  function resultat() {
    if ((xmldata.readyState == 4) && (xmldata.status == 200)) {
      naviguer("");
      document.getElementById('frame_demande').innerHTML="<div class='cadre'><b>"+nettoieUrl(xmldata.responseText)+" <img src='style/"+styleActif+"/images/ok.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick=\"cacherDemande();\"></b></div>";
      dispinvite= setTimeout("cacherDemande()",3000);
      if (document.typeElement && typeElement=="dossier") explorer();
    }
  }

 // ==== Affiche le retour des fonctions de modification de fichiers ====
  function resultatEdit(retour) {
    document.getElementById('frame_demande').innerHTML="<div class='cadre'><b>"+nettoieUrl(retour)+" <img src='style/"+styleActif+"/images/ok.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick=\"cacherDemande();\"></b></div>";
    cycle=0; prog=10; pas=100/prog; alpha=0; fonduDemande();
    cacher();
    dispinvite= setTimeout("cacherDemande()",3000);
  }

  // ==== Imprime le contenu du dossier / la galerie ====
  function imprimerCadre(cadre){
    context_close();
    printcadre=eval(parent.document.getElementById(cadre));
    printcadre.focus();
    window.print();
  }

  // ==== Affiche les informations Exif ====
  function afficherExif() {
    if ((xmlpar.readyState == 4) && (xmlpar.status == 200)) {
      document.getElementById('exifpic').innerHTML="<div id='close_exif'><img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick='cacheExif()'></div>"+xmlpar.responseText;      
    }
  }

  // ==== Recharge les informations Exif ====
  function reloadExif(url) {
    document.getElementById('exifpic').style.display="block";
    numimg=parseInt(document.formlisteimg.numimg.value);
    if (document.getElementsByName('listeimg').length==1)
         nomimg=document.formlisteimg.listeimg.value;
    else nomimg=document.formlisteimg.listeimg[numimg].value;
    req_asyncp ("moteur/exif.php?url="+encodeURIComponent(nomimg),afficherExif); 
  }

  // ==== Affiche les détails Exif ====
  function detailExif() {
    if ((xmlpar.readyState == 4) && (xmlpar.status == 200)) {
      document.getElementById('divExif').innerHTML=xmlpar.responseText;
    }
  }

  // ==== Affiche les détails des commentaires ====
  function detailCommentaire() {
   if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      if (xmlexp.responseText.length!=0) document.getElementById('divCommentaire').innerHTML="<div>"+decodeURIComponent(xmlexp.responseText)+"</div>";
    }
  }

  // ==== Affiche les détails Mime ====
  function detailMime() {
    if ((xmldata.readyState == 4) && (xmldata.status == 200)) {
        document.getElementById('divMime').innerHTML=xmldata.responseText;
    }
  }

  // ==== Lance ou arrête le diaporama ====
  function lanceDiapo() {
      if (parseInt(boucleDiapo)>0) {
        document.getElementById('switchdiapo').innerHTML="<a><img src='style/"+styleActif+"/images/bt13.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["diaporama"]?>\"   onclick='lanceDiapo();'></a>";
        clearTimeout(boucleDiapo);
        boucleDiapo="";
      } else {
        document.getElementById('switchdiapo').innerHTML="<a><img src='style/"+styleActif+"/images/bt13b.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["closeWindow"]." ".$_SESSION["ws"]["dia"]["diaporama"]?>\"   onclick='lanceDiapo();'></a>";
        diaporama();
      }
  }

  // ==== Affiche un diaporama ====
  function diaporama(url) {
    if (document.getElementById('frame_detail').style.visibility!="hidden") suivante();
      boucleDiapo= setTimeout('diaporama()',<?php echo ((intval($_SESSION["ws"]["diapoSp"])>0)?$_SESSION["ws"]["diapoSp"]:"5000"); ?>);
  }

  // ==== Enregistre un document modifié ====
  function modifier() {
    cycle=0; prog=10; pas=100/prog; alpha=0; fonduDemande();
    req_async_datas('moteur/modifier.php',resultat,document.getElementById("apercu").contentWindow.document.editForm);
    cacher();
  }

  // ==== Enregistre une image ====
  function sauverimage(url) {
    numimg=parseInt(document.formlisteimg.numimg.value);
    if (document.getElementsByName('listeimg').length==1)
         nomimg=document.formlisteimg.listeimg.value;
    else nomimg=document.formlisteimg.listeimg[numimg].value;
    document.getElementById('frame_demande').innerHTML='<iframe id="apercu" name="apercu" src="moteur/ouvrir.php?forcedl=1&url='+nomimg+'" frameborder="0" allowtransparency="false" scrolling="yes"></iframe>';
  }

  // ==== Enregistre tous les documents du répertoire courant ====
  function toutSauver(url) {
    document.getElementById('frame_detail').innerHTML='<iframe id="apercu" name="apercu" src="moteur/enregistrer.php?ok=1" frameborder="0" allowtransparency="false" scrolling="yes"></iframe>';
  }

  // ==== Affiche les propriétés d'un document ====
  function detailer(url) {
      nomElement=memoNom+"."+memoType; typeElement=memoType; srvElement=memoSrv; proElement=memoPro;
      if (memoPro=="url") typeElement="url"; if (memoPro=="dossier") { typeElement="dossier"; nomElement=url; }
      affNom=nomElement; lienWeb=0; if (memoWeb.length>1) lienWeb=1;
      realpath= racineweb+"/"+memoLien.substring(1,memoLien.length);

      if (nomElement.lastIndexOf(".")>1) affNom= nomElement.substring(0,(nomElement.lastIndexOf(".")));

      document.getElementById('frame_favoris').innerHTML="<div id='barre_logo'><div id='logo'></div></div>"
        +"<div id='close_favoris'></div><br/><div class='recherche'> <div class='rubrique' style='width:100%;'><img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' border='0' align='right' onclick='alterner(0)' style='cursor:pointer'>"
        +"<b>&nbsp;<?php echo $_SESSION["ws"]["dia"]["propertyOf"]?> :</b><br/>&nbsp;"+nettoieUrl(affNom)
        +"</div><br /><span id='divMime'></span><br/><form name='prop'><input type='hidden' name='nomElement' value='"+typeElement+"'></form><br />"
        +(memoSize!=0?"<b><?php echo $_SESSION["ws"]["dia"]["FileSize"]?> : </b>"+convertir(memoSize)+" <br /><br/>":"")+(memoDtm.length!=0?"<b> <?php echo $_SESSION["ws"]["dia"]["modified"]?> : </b><br/>"+memoDtm+"<br /><br/>":"")
        +(memoPerm=="RW"?"<?php echo $_SESSION["ws"]["dia"]["readWrite"]?>":"")+(memoPerm=="R"?"<?php echo $_SESSION["ws"]["dia"]["readOnly"]?>":"")+(memoPerm=="W"?"<?php echo $_SESSION["ws"]["dia"]["writeOnly"]?>":"")+(memoPerm=="N"?"<?php echo $_SESSION["ws"]["dia"]["locked"]?>":"")
        +(lienWeb==1?"<br/><br/><br/><div class='rubrique' style='width:100%;height:22px;'><img src='style/"+styleActif+"/images/bloc.<?php echo $_SESSION["ws"]["formatExt"]?>' border='0'> <b><?php echo $_SESSION["ws"]["dia"]["directLink"]?></b></div><textarea cols='50' wrap='hard' style='width:100%'>"+memoWeb+"</textarea><br/>":"")
      <?php if ($_SESSION["ws"]["compPath"]=="1") {
      echo '+(lienWeb==0?"<br/><br/><div class=\'rubrique\' style=\'width:100%;height:22px;\'>'
          .'<img src=\''.$_SESSION["ws"]["cheminImg"].'bloc.'.$_SESSION["ws"]["formatExt"].'\' border=0\'>'
          .'<b> '.$_SESSION["ws"]["dia"]["directLink"].'</b></div><textarea cols=\'50\' wrap=\'hard\' style=\'width:100%\'>'
          .'"+realpath+"</textarea><br/>":"")';
      } ?>
        +"<br/><br/>"
        +"<div class='rubrique' style='width:100%;height:22px;'><b><img src='style/"+styleActif+"/images/bloc.<?php echo $_SESSION["ws"]["formatExt"]?>' border='0'> <?php echo $_SESSION["ws"]["dia"]["infocomment"]?> :&nbsp;</b></div><div id='divCommentaire' class='cadre' style='border:0;position:relative;width:100%'></div>"
        +"<br/><div id='divExif' style='position:relative;width:95%'></div></div>";

      if ((typeElement.toLowerCase()=="jpg") || (typeElement.toLowerCase()=="jpeg")) req_asyncp ("moteur/exif.php?detail=1&url="+encodeURIComponent(nomElement)+"&memoType="+typeElement+"&memoSrv="+srvElement+"&memoPro="+proElement,detailExif);
      req_async ("moteur/commenter.php?recup=1&nomComment="+encodeURIComponent(nomElement)+"&memoType="+typeElement+"&memoSrv="+srvElement+"&memoPro="+proElement,detailCommentaire);
      req_async_datas ("moteur/typemime.php",detailMime,document.prop);
      alterner(1);
  }

  // ==== NOP ====
  function rien(url) {
  }


// ============ Fonctions de gestion de fichiers =============

  // ==== Création d'un nouveau dossier ====
  function creaDossier(url) {
    demander("choix","<form name='demande' onsubmit='valideDossier();return false;'> <?php echo $_SESSION["ws"]["dia"]["addDir"]?> <input type='text' name='nomElement' onkeyup='veriftout(this)'>&nbsp;&nbsp;","valideDossier");
    setTimeout("document.demande.nomElement.focus()", 300); 
  }
  // ==== Validation de la création du nouveau dossier ====
  function valideDossier() {
  veriftout(document.demande.nomElement);
    if (document.demande.nomElement.value.length!=0) {
      document.demande.nomElement.value=encodeURIComponent(document.demande.nomElement.value);
      req_async_datas("moteur/crea_dossier.php",resultat,document.demande);
      setTimeout("explorer()",1500);
      document.getElementById('frame_demande').innerHTML="<div class='cadre'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["making"]?> </b></div>";
    }
  }

  // ==== Envoi l'élément par email ====
  function sendItem(url) {
    if (memoSize<4000000) {
      lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
      typeElement=memoType; if (proElement=='url') typeElement='url';
      nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;
    
      demander("choix","<form name='demande' onsubmit='valideEnvoiMail();return false;'>"
                      +' <input type="hidden" name="nomElement"  value="'+encodeURIComponent(nomElement)+'">'
                      +' <input type="hidden" name="nomLien"     value="'+encodeURIComponent(lienElement)+'">'
                      +' <input type="hidden" name="typeElement" value="'+encodeURIComponent(typeElement)+'">'                      
                      +"<?php echo $_SESSION["ws"]["dia"]["recipientMail"]?>&nbsp;<input type='text' name='adresseElement'>&nbsp;&nbsp;<?php echo $_SESSION["ws"]["dia"]["titleMail"]?>&nbsp;<input type='text' name='titleElement' style='width:254px'><br />"
                      +"<?php echo $_SESSION["ws"]["dia"]["contentMail"]?>&nbsp;:&nbsp;'<b>"+basename(nomElement)+"</b>'<br /><textarea name='textElement' style='height:44px'></textarea>","valideEnvoiMail");
      document.getElementById('frame_galerie').style.bottom="146px";
      document.getElementById('frame_demande').style.height="100px";
      setTimeout("document.demande.nomElement.focus()", 300);
    } else {
      demander("choix"," <?php echo $_SESSION["ws"]["dia"]["fileTooBig"]?>","rien");
      setTimeout("cacherDemande();",3000);
    }
  }
  
  // ==== Validation de l'envoi d'élément par email ====
  function valideEnvoiMail() {
    veriftout(document.demande.nomElement);
    if ((document.demande.nomElement.value.length!=0)&&(regMail.test(document.demande.adresseElement.value)!==false)) {
      document.demande.nomElement.value=encodeURIComponent(document.demande.nomElement.value);
      req_async_datas("moteur/envoi_mail.php",resultat,document.demande);
      document.getElementById('frame_galerie').style.bottom="76px";
      document.getElementById('frame_demande').style.height="30px";
      document.getElementById('frame_demande').innerHTML="<div class='cadre'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["sendingMail"]?> </b></div>";
    }
  }

  // ==== Création d'un nouveau fichier ====
  function creaFichier(url) {
    demander("choix","<form method='POST' name='demande' enctype='multipart/form-data' action='moteur/crea_fichier.php' target='upload'> <?php echo $_SESSION["ws"]["dia"]["addUpload"]?> <input type='file' name='nomElement' onchange='detectZip(nomElement.value)'>&nbsp;&nbsp;<span id='zipbox' style='visibility:hidden'><input type='checkbox' name='typeZip' value='0' onchange='if(this.checked) this.value=1; else this.value=0;'>&nbsp;<?php echo $_SESSION["ws"]["dia"]["toDezip"]?></span>","valideFichier");
    setTimeout("document.demande.nomElement.focus()", 300); 
  }
  // ==== Validation de la création du nouveau dossier ====
  function valideFichier() {
    if (document.demande.nomElement.value.length!=0) {
      document.demande.submit();
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["making"]?> </b></div>";
    }
  }

  // ==== Création d'un nouveau lien ====
  function creaLien(url) {
    demander("choix","<form name='demande' onsubmit='valideLien();return false;'> <?php echo $_SESSION["ws"]["dia"]["addLink"]?> <input type='text' name='nomElement' onkeyup='veriftout(this)'> <?php echo $_SESSION["ws"]["dia"]["addLink2"]?> <input type='text' name='adrElement'>&nbsp;&nbsp;","valideLien");
    setTimeout("document.demande.nomElement.focus()", 300); 
  }
  // ==== Validation de la création du nouveau lien ====
  function valideLien() {
  veriftout(document.demande.nomElement);
    if (document.demande.nomElement.value.length!=0) {
      document.demande.nomElement.value=encodeURIComponent(document.demande.nomElement.value);
      req_async_datas("moteur/crea_lien.php",resultat,document.demande);
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["making"]?> </b></div>";
    }
  }

  // ==== Création d'un nouveau document texte vide ====
  function creaTxt(url) {
    demander("choix","<form name='demande' onsubmit='valideTxt();return false;'> <?php echo $_SESSION["ws"]["dia"]["addTxt"]?> <input type='text' name='nomElement' onkeyup='veriftout(this)'>&nbsp;&nbsp;","valideTxt");
    setTimeout("document.demande.nomElement.focus()", 300); 
  }
  // ==== Validation de la création du nouveau document texte vide ====
  function valideTxt() {
  veriftout(document.demande.nomElement);
    if (document.demande.nomElement.value.length!=0) {
      document.demande.nomElement.value=encodeURIComponent(document.demande.nomElement.value);
      req_async_datas("moteur/crea_txt.php",resultat,document.demande);
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["making"]?> </b></div>";
    }
  }

  // ==== Suppression d'un élément ====
  function supprimer(url) {

    lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
    typeElement=memoType; if (proElement=='url') typeElement='url';
    nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;

    demander("choix","<form name='demande' onsubmit='valideSupprimer();return false;'>"
      +' <input type="hidden" name="nomElement" value="'+encodeURIComponent(nomElement)+'">'
      +' <input type="hidden" name="nomLien"    value="'+encodeURIComponent(lienElement)+'">'
      +' <input type="hidden" name="nomType"    value="'+typeElement+'">'
      +' <input type="hidden" name="nomPro"     value="'+proElement+'">'
      +' <input type="hidden" name="nomSrv"     value="'+srvElement+'">'
      +"<?php echo $_SESSION["ws"]["dia"]["delete"]?> "
      +(proElement=='dossier'?"<?php echo $_SESSION["ws"]["dia"]["dir"]?> '<b>"+basename(nomElement)+"</b>' <?php echo $_SESSION["ws"]["dia"]["delete2"]?> ":"<?php echo $_SESSION["ws"]["dia"]["file"]?> '<b>"+basename(nomElement)+"</b>' ? "),"valideSupprimer");
  }
  // ==== Validation de la suppression ====
  function valideSupprimer() {
    if (document.demande.nomElement.value.length!=0) {
      req_async_datas("moteur/supprimer.php",resultat,document.demande);
      if (proElement=="dossier") setTimeout("explorer()",2000);
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["deleting"]?> </b></div>";
    }
  }

  // ==== Décompression d'un élément ====
  function dezipper(url) {

    lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
    typeElement=memoType; if (proElement=='url') typeElement='url';
    nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;

    demander("choix","<form name='demande' onsubmit='valideDezipper();return false;'>"
      +'<input type="hidden" name="nomElement" value="'+encodeURIComponent(nomElement)+'">'
      +'<input type="hidden" name="nomLien"    value="'+encodeURIComponent(lienElement)+'">'
      +'<input type="hidden" name="nomType"    value="'+typeElement+'">'
      +'<input type="hidden" name="nomSrv"     value="'+srvElement+'">'
      +'<input type="hidden" name="nomPro"     value="'+proElement+'">'
      +"<?php echo $_SESSION["ws"]["dia"]["toDezip"]?> '<b>"+basename(nomElement)+"</b>' ? ","valideDezipper");
  }

  // ==== Validation de la décompression ====
  function valideDezipper() {
    if (document.demande.nomElement.value.length!=0) {
      req_async_datas("moteur/dezipper.php",resultat,document.demande);
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["dezipping"]?> </b></div>";
    }
  }

  // ==== Renomme un élément ====
  function renommer(url) {
    lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
    nomFichier= memoNom; typeElement=memoType; if (proElement=='url') typeElement='url';
    nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;

    demander("choix","<form name='demande' onsubmit='valideRenommer();return false;'><?php echo $_SESSION["ws"]["dia"]["rename"]?>"
      +' <input type="text"   name="nomNouveau" value="'+nomFichier+'"  onkeyup="veriftout(this)"> '+(proElement=="dossier"?"":".")
      +' <input type="'+(proElement=="dossier"?"hidden":"text")+'"   name="extNouveau" value="'+typeElement+'" onkeyup="veriftout(this)" style="width:35px" >'
      +' <input type="hidden" name="nomElement" value="'+encodeURIComponent(nomElement)+'">'
      +' <input type="hidden" name="nomLien"    value="'+encodeURIComponent(lienElement)+'">'
      +' <input type="hidden" name="nomPro"     value="'+proElement+'">'
      +' <input type="hidden" name="nomSrv"     value="'+srvElement+'">'
      +(proElement=="dossier"?" <?php echo $_SESSION["ws"]["dia"]["ofDir"]?> '<b>"+basename(nomElement)+"</b>' ? ":" <?php echo $_SESSION["ws"]["dia"]["ofFile"]?> '<b>"+basename(nomElement)+"</b>' ? "),"valideRenommer");
  }

  // ==== Validation du renommage ====
  function valideRenommer() {
    verifspeccar(document.demande.nomNouveau);
    verifspeccar(document.demande.extNouveau);
    if (document.demande.nomNouveau.value.length!=0) {
       document.demande.nomNouveau.value=encodeURIComponent(document.demande.nomNouveau.value);
       req_async_datas("moteur/renommer.php",resultat,document.demande);
       if (proElement=="dossier") setTimeout("explorer()",2000);
       document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["renaming"]?> </b></div>";
    }
  }

  // ==== Recherche un élément ====
  function rechercher(url) {
    demander("choix","<form name='demande' onsubmit='valideRechercher();return false;'> <?php echo $_SESSION["ws"]["dia"]["search"]?> <input type='text' name='nomElement'><input type='hidden' name='useCasse' value='0'> <?php echo $_SESSION["ws"]["dia"]["search2"]?> <input type='checkbox' name='casse' style='width:14px' onchange='if(casse.checked) document.demande.useCasse.value=1; else document.demande.useCasse.value=0;'> <?php echo $_SESSION["ws"]["dia"]["useCasse"]?> ","valideRechercher");
    setTimeout("document.demande.nomElement.focus()", 300); 
  }
  // ==== Validation de la recherche ====
  function valideRechercher() {
    if (document.demande.nomElement.value.length!=0) {
      document.demande.nomElement.value=encodeURIComponent(document.demande.nomElement.value);
      req_async_datas("moteur/rechercher.php",afficheRecherche,document.demande);
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["searching"]?> '<b>"+document.demande.nomElement.value+"</b>' <?php echo $_SESSION["ws"]["dia"]["searching2"]?> </b></div>";
    }
  }
  // ==== Affiche le résultat de la recherche ====
  function afficheRecherche() {
    if ((xmldata.readyState == 4) && (xmldata.status == 200)) {
      document.getElementById('frame_favoris').innerHTML="<div id='barre_logo'><div id='logo'></div></div><div id='close_favoris'></div>"+nettoieUrl(xmldata.responseText);
      cacherDemande();
      alterner(1);
    }
  }

  // ==== Détermine le dossier/fichier à copier ====
  function copier(url) {
    clipboardMode="copy"; clipboardSrv=memoSrv; clipboardType=memoType;
    if (memoType=="arbo") clipboardType="dossier"; if (memoPro=="url") clipboardType="url"; if (memoPro=="dossier") clipboardType="dossier";
    clipboard=actuel+(actuel.substring(actuel.length-1,actuel.length)=='/'?'':'/')+memoNom+((clipboardType.length>0)?".":"")+clipboardType;
    if (clipboardType=='dossier') clipboard=memoLien;
      demander("info",(clipboardType=='dossier'?" <?php echo $_SESSION["ws"]["dia"]["theDir"]?> '<b>"+basename(clipboard)+"</b>' ":" <?php echo $_SESSION["ws"]["dia"]["theFile"]?> '<b>"+basename(clipboard)+"</b>' ")
      +" <?php echo $_SESSION["ws"]["dia"]["goingToCopy"]?> ","");
  }

  // ==== Détermine le dossier/fichier à déplacer ====
  function couper(url) {
    clipboardMode="move"; clipboardSrv=memoSrv; clipboardType=memoType;
    if (memoType=="arbo") clipboardType="dossier"; if (memoPro=="url") clipboardType="url"; if (memoPro=="dossier") clipboardType="dossier";
    clipboard=actuel+(actuel.substring(actuel.length-1,actuel.length)=='/'?'':'/')+memoNom+((clipboardType.length>0)?".":"")+clipboardType;
    if (clipboardType=='dossier') clipboard=memoLien;
      demander("info",(clipboardType=='dossier'?" <?php echo $_SESSION["ws"]["dia"]["theDir"]?> '<b>"+basename(clipboard)+"</b>' ":" <?php echo $_SESSION["ws"]["dia"]["theFile"]?> '<b>"+basename(clipboard)+"</b>' ")
      +" <?php echo $_SESSION["ws"]["dia"]["goingToMove"]?> ","");
  }

  // ==== Détermine la destination de l'élément puis le copie/déplace ====
  function coller(url) {
    adr=actuel;
    demander("choix","<form name='demande' onsubmit='valideCopie();return false;'> <?php echo $_SESSION["ws"]["dia"]["areYouSure"]?> "+(clipboardMode=="move"?"<?php echo $_SESSION["ws"]["dia"]["moveTo"]?>":"<?php echo $_SESSION["ws"]["dia"]["copyTo"]?>")
      +(clipboardType=='dossier'?" <?php echo strtolower($_SESSION["ws"]["dia"]["theDir"])?> '<b>"+basename(clipboard)+"</b>' ":" <?php echo strtolower($_SESSION["ws"]["dia"]["theFile"])?> '<b>"+basename(clipboard)+"</b>'")+" <?php echo $_SESSION["ws"]["dia"]["toActualDir"]?> <b>'"+adr+"'</b> ? "
      +'<input type="hidden" name="objetDepart" value="'+encodeURIComponent(clipboard)+'"><input type="hidden" name="destination" value="'+encodeURIComponent(adr)+'">'+"<input type='hidden' name='clipboardMode' value='"+clipboardMode+"'><input type='hidden' name='clipboardSrv' value='"+clipboardSrv+"'><input type='hidden' name='clipboardType' value='"+clipboardType+"'>","valideCopie");
  }

  // ==== Validation de la copie ou du déplacement d'un élément ====
  function valideCopie() {
    req_async_datas("moteur/coller.php",resultat,document.demande);
    if (clipboardType=="dossier") setTimeout("explorer()",2000);
    document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> "+(clipboardMode=="move"?"<?php echo $_SESSION["ws"]["dia"]["moving"]?>":"<?php echo $_SESSION["ws"]["dia"]["copying"]?>")+" </b></div>";
    clipboard=""; clipboardMode=""; clipboardType=""; clipboardSrv="";
  }

  // ==== Gestion des droits des fichiers : Récupération des droits actuels ====
  function autoriser(url) {

    lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
    typeElement=memoType; if (proElement=='url') typeElement='url';
    nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;

    if (nomElement.length!=0) req_async ("moteur/autoriser.php?nomElement="+encodeURIComponent(nomElement)
                          +"&infoDroit=1&nomLien="+encodeURIComponent(lienElement)
                         +"&nomSrv="+srvElement+"&nomPro="+proElement,afficheAutoriser);
  }
  // ==== Gestion des droits des fichiers : Modification par l'utilisateur ====
  function afficheAutoriser() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      droits=xmlexp.responseText;
      demander("choix","<form name='demande' onsubmit='valideAutoriser();return false;'><?php echo $_SESSION["ws"]["dia"]["selectAttributes"]?> "
      +(typeElement=='dossier'?" <?php echo $_SESSION["ws"]["dia"]["ofDir"]?> <b>'":" <?php echo $_SESSION["ws"]["dia"]["ofFile"]?> <b>'")+basename(nomElement)+"'</b> :<br/><br/> "
      <?php if ($_SESSION["ws"]["typeUser"]=="1") { ?> +"<b><span class='ec'><img src='style/"+styleActif+"/images/et.<?php echo $_SESSION["ws"]["formatExt"]?>'> Propr.&nbsp;</b> <input type='checkbox' name='a1' value='400' style='width:14px' "+((droits & 0x0100)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modR"]?> <input type='checkbox' name='a2' value='200' style='width:14px' "+((droits & 0x0080)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modW"]?> <input type='checkbox' name='a3' value='100' style='width:14px' "+((droits & 0x0040)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modE"]?> </span>"
      <?php } else { ?>                   +"<span class='ec'><input type='hidden' name='a1' value='"+((droits & 0x0100)?"400":"0")+"'><input type='hidden' name='a2' value='"+((droits & 0x0080)?"200":"0")+"'><input type='hidden' name='a3' value='"+((droits & 0x0040)?"100":"0")+"'></span>" <?php } ?>
      <?php if ($_SESSION["ws"]["typeUser"]!="3") { ?> +"<b><span class='ec'><img src='style/"+styleActif+"/images/et.<?php echo $_SESSION["ws"]["formatExt"]?>'> Group &nbsp;</b> <input type='checkbox' name='a4' value='40'  style='width:14px' "+((droits & 0x0020)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modR"]?> <input type='checkbox' name='a5' value='20'  style='width:14px' "+((droits & 0x0010)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modW"]?> <input type='checkbox' name='a6' value='10'  style='width:14px' "+((droits & 0x0008)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modE"]?> </span>"
      <?php } else { ?>                   +"<span class='ec'><input type='hidden' name='a4' value='"+((droits & 0x0020)?"40":"0")+"'><input type='hidden' name='a5' value='"+((droits & 0x0010)?"20":"0")+"'><input type='hidden' name='a6' value='"+((droits & 0x0008)?"10":"0")+"'></span>" <?php } ?>
      <?php if ($_SESSION["ws"]["typeUser"]!="2") { ?> +"<b><span class='ec'><img src='style/"+styleActif+"/images/et.<?php echo $_SESSION["ws"]["formatExt"]?>'> Public&nbsp;</b> <input type='checkbox' name='a7' value='4'   style='width:14px' "+((droits & 0x0004)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modR"]?> <input type='checkbox' name='a8' value='2'   style='width:14px' "+((droits & 0x0002)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modW"]?> <input type='checkbox' name='a9' value='1'   style='width:14px' "+((droits & 0x0001)?"checked":"")+"><?php echo $_SESSION["ws"]["dia"]["modE"]?> </span>&nbsp; "
      <?php } else { ?>                   +"<span class='ec'><input type='hidden' name='a7' value='"+((droits & 0x0004)?"4":"0")+"'><input type='hidden' name='a8' value='"+((droits & 0x0002)?"2":"0")+"'><input type='hidden' name='a9' value='"+((droits & 0x0001)?"1":"0")+"'></span>" <?php } ?>
      ,"valideAutoriser");
      document.getElementById('frame_galerie').style.bottom="106px";
      document.getElementById('frame_demande').style.height="60px";
    }
  }
  // ==== Validation de la modification des droits du fichier ====
  function valideAutoriser() {
    tabch=document.demande;
    valeur=
    <?php if ($_SESSION["ws"]["typeUser"]=="1") { ?>   (tabch.a1.checked?parseInt(tabch.a1.value):0)+(tabch.a2.checked?parseInt(tabch.a2.value):0)+(tabch.a3.checked?parseInt(tabch.a3.value):0)
    <?php } else { ?>   parseInt(tabch.a1.value)+parseInt(tabch.a2.value)+parseInt(tabch.a3.value) <?php } ?>
    <?php if ($_SESSION["ws"]["typeUser"]!="3") { ?>  +(tabch.a4.checked?parseInt(tabch.a4.value):0)+(tabch.a5.checked?parseInt(tabch.a5.value):0)+(tabch.a6.checked?parseInt(tabch.a6.value):0)
    <?php } else { ?>  +parseInt(tabch.a4.value)+parseInt(tabch.a5.value)+parseInt(tabch.a6.value) <?php } ?>
    <?php if ($_SESSION["ws"]["typeUser"]!="2") { ?>  +(tabch.a7.checked?parseInt(tabch.a7.value):0)+(tabch.a8.checked?parseInt(tabch.a8.value):0)+(tabch.a9.checked?parseInt(tabch.a9.value):0);
    <?php } else { ?>   parseInt(tabch.a7.value)+parseInt(tabch.a8.value)+parseInt(tabch.a9.value); <?php } ?>

    req_async_datas ("moteur/autoriser.php?nomElement="+encodeURIComponent(nomElement)+"&valeurDroit="+valeur
                    +"&nomSrv=" +srvElement+"&nomLien="+encodeURIComponent(lienElement)
                    +"&nomType="+typeElement+"&nomPro="+proElement,resultat,document.demande);
    document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["modifying"]?> </b></div>";
    document.getElementById('frame_galerie').style.bottom="76px";
    document.getElementById('frame_demande').style.height="30px";
  }

  // ==== Récupère le commentaire actuel du fichier sélectionné ====
  function commenter(url) {
    lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
    typeElement=memoType; if (proElement=='url') typeElement='url';
    nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;

    req_async("moteur/commenter.php?nomComment="+encodeURIComponent(nomElement)+"&memoType="+typeElement+"&memoSrv="+srvElement+"&memoPro="+proElement,afficheCommenter);
  }
  function commenterGlobal() {
    srvElement=memoSrv; proElement=memoPro;
    req_async("moteur/commenter.php?global=1&memoSrv="+srvElement+"&memoPro="+proElement,afficheCommenterGlobal);
  }
  // ==== Ajoute/modifie un commentaire sur un fichier/dossier ====
  function afficheCommenter() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      demander("choix","<form name='demande' onsubmit='valideCommenter();return false;'>"+ (xmlexp.responseText.length<2?"<?php echo $_SESSION["ws"]["dia"]["addComment"]?>":"<?php echo $_SESSION["ws"]["dia"]["modifyComment"]?>")
          +(typeElement=='dossier'?" <?php echo $_SESSION["ws"]["dia"]["toDir"]?> '<b>"+basename(nomElement)+"</b>'":" <?php echo $_SESSION["ws"]["dia"]["toFile"]?> '<b>"+basename(nomElement)+"</b>'")+" : "
          +"<textarea name='commentaire'>"+decodeURIComponent(xmlexp.responseText)+"</textarea><br/>"+'<input type="hidden" name="nomComment" value="'+encodeURIComponent(nomElement)+'">'+"<input type='hidden' name='memoType' value='"+typeElement+"'><input type='hidden' name='memoSrv' value='"+srvElement+"'>"
          +"<input type='checkbox' name='retire' value='1' onclick='if (this.checked===true) document.demande.commentaire.value=\"\"' style='width: 10px;'>"
          +" <?php echo $_SESSION["ws"]["dia"]["removeComment"]?> <input type='hidden' name='modif' value='1'><input type='hidden' name='memoPro' value='"+proElement+"'>","valideCommenter");
      document.getElementById('frame_galerie').style.bottom="146px";
      document.getElementById('frame_demande').style.height="100px";
      setTimeout("document.demande.commentaire.focus()", 300);
    }
  }
  function afficheCommenterGlobal() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      demander("choix","<form name='demande' onsubmit='valideCommenter();return false;'>"+ (xmlexp.responseText.length<2?"<?php echo $_SESSION["ws"]["dia"]["addComment"]?>":"<?php echo $_SESSION["ws"]["dia"]["modifyComment"]?>")
          +" <?php echo $_SESSION["ws"]["dia"]["toDir"]?> : "
          +"<textarea name='commentaire'>"+decodeURIComponent(xmlexp.responseText)+"</textarea><br/>"+'<input type="hidden" name="nomComment" value="wsGlobal"><input type="hidden" name="global" value="1">'
          +"<input type='checkbox' name='retire' value='1' onclick='if (this.checked===true) document.demande.commentaire.value=\"\"' style='width: 10px;'>"
          +" <?php echo $_SESSION["ws"]["dia"]["removeComment"]?> <input type='hidden' name='modif' value='1'>","valideCommenter");
      document.getElementById('frame_galerie').style.bottom="146px";
      document.getElementById('frame_demande').style.height="100px";
      setTimeout("document.demande.commentaire.focus()", 300);
    }
  }
  // ==== Valide l'ajout/la modification du commentaire ====
  function valideCommenter() {
    retirerMef(document.demande.commentaire);
    req_async_datas("moteur/commenter.php",resultat,document.demande);
    document.getElementById('frame_demande').style.height="30px";
    document.getElementById('frame_demande').innerHTML="<div class='ec'><b> <img src='style/"+styleActif+"/images/loading.gif' alt=''> <?php echo $_SESSION["ws"]["dia"]["addingComment"]?> </b></div>";
  }

  // ==== Récupère le commentaire actuel du fichier sélectionné ====
  function montrerCommentaire(url) {
    lienElement=memoLien; srvElement=memoSrv; proElement=memoPro;
    typeElement=memoType; if (proElement=='url') typeElement='url';
    nomElement=memoNom+((typeElement.length>0)?".":"")+typeElement;
    req_async("moteur/commenter.php?recup=1&nomComment="+encodeURIComponent(nomElement)+"&memoType="+typeElement+"&memoSrv="+srvElement+"&memoPro="+proElement,afficheCommentaire);
  }
  // ==== Ajoute/modifie un commentaire sur un fichier/dossier ====
  function afficheCommentaire() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      document.getElementById('frame_demande').innerHTML="<?php echo $_SESSION["ws"]["dia"]["commentFile"]?> <b>'"+nettoieUrl(basename(nomElement))+"'</b> : "
      +"<img src='style/"+styleActif+"/images/ok.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick=\"cacherDemande();\"></b></div><br/><br/><div class='cadrcom' style='height:50px;z-index:0; overflow-y: scroll;'>"+decodeURIComponent(xmlexp.responseText)+"</div>";
      document.getElementById('frame_galerie').style.bottom="146px";
      document.getElementById('frame_demande').style.height="100px";
      cycle=0; prog=10; pas=100/prog; alpha=0; fonduDemande();
    }
  }

  // ==== Actualise la miniature ====
  function actualiseMini(nomElement) {
     req_async("moteur/pic.php?mini=1&update=1&pic="+encodeURIComponent(nomElement),rechargeMini);
  }

  // ==== Recharge la miniature ====
  function rechargeMini() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      naviguer(actuel);
    }
  }
  
  // ==== Effectue une modification sur l'image ====
  function modifierImage(valeur) {  
    numimg=parseInt(document.formlisteimg.numimg.value);
    document.formlisteimg.numimg.value=numimg;
    if (document.getElementsByName('listeimg').length==1)
         nomimg=document.formlisteimg.listeimg.value;
    else nomimg=document.formlisteimg.listeimg[numimg].value;
  
     if (valeur!=6)
         req_async("moteur/pic.php?mini=1&update=1&modif="+valeur+"&pic="+nomimg,valideMini);
     else 
         demander("choix","<form name='demande' onsubmit='valideRedim();return false;'><?php echo $_SESSION["ws"]["dia"]["resize"]?> : "
      +"<?php echo $_SESSION["ws"]["dia"]["width"]?> <input type='text'   name='v' value='' style='width:35px' onchange='verifRatio(1)'> <?php echo $_SESSION["ws"]["dia"]["pixels"]?> x "
      +"<?php echo $_SESSION["ws"]["dia"]["height"]?> <input type='text'   name='h' value='' style='width:35px' onchange='verifRatio(2)'> <?php echo $_SESSION["ws"]["dia"]["pixels"]?>. "
      +" <input type='checkbox' name='ratio' value='1' style='width:14px'> <?php echo $_SESSION["ws"]["dia"]["keepRatio"]?> ","valideRedim");
  }

  // Vérifie le respect du ratio
  function verifRatio(num) {
    if (document.demande.ratio.checked) {
      if ((num==1)&&(document.demande.h.value.length!=0)) document.demande.h.value=""; 
      if ((num==2)&&(document.demande.v.value.length!=0)) document.demande.v.value=""; 
    }
  }
  
  // ==== Valide le redimensionnement de la miniature ====
  function valideRedim() {
    numimg=parseInt(document.formlisteimg.numimg.value);
    document.formlisteimg.numimg.value=numimg;
    if (document.getElementsByName('listeimg').length==1)
         nomimg=document.formlisteimg.listeimg.value;
    else nomimg=document.formlisteimg.listeimg[numimg].value;
    h= document.demande.h.value; v= document.demande.v.value;
    ratio =(document.demande.ratio.checked?1:0);    

    req_async("moteur/pic.php?mini=1&update=1&modif=6&h="+h+"&v="+v+"&ratio="+ratio+"&pic="+nomimg,valideMini);
    cacherDemande();  
  }
    
  // ==== Valide l'actualisation de la miniature ====
  function valideMini() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      numimg=parseInt(document.formlisteimg.numimg.value);
      document.formlisteimg.numimg.value=numimg;
      if (document.getElementsByName('listeimg').length==1)
           nomimg=document.formlisteimg.listeimg.value;
      else nomimg=document.formlisteimg.listeimg[numimg].value;
    
      dj = new Date();
      actual = dj.getMinutes()+dj.getSeconds();
      document.getElementById('cadrpic').innerHTML="<img src="+'"'+"moteur/pic.php?actual="+actual+"&pic="+encodeURIComponent(nomimg)+'"'+" id='visuImg' name='visuImg' style='position:absolute;<?php echo $filtre; ?>' border='0'  onload='centrer(1); new Draggable(document.getElementById("+'"visuImg"'+"), {}); new Effect.Appear(document.getElementById("+'"visuImg"'+")); hideLoading();'>";
      req_asyncp ("moteur/exif.php?url="+encodeURIComponent(nomimg),afficherExif);
      naviguer(actuel);
    }
  }

  // ==== Ajouter au/Retirer des favoris====
  function ajouterFav() {
  }

  // ==== Ajoute un fond d'écran ====
  function fondEcran(fond) {
      req_async("moteur/crea_fond.php?nomElement="+encodeURIComponent(fond),valideFond);
  }
  // ==== Valide l'ajout du fond d'écran ====
  function valideFond() {
    if ((xmlexp.readyState == 4) && (xmlexp.status == 200)) {
      demander("info","","");
      document.getElementById('frame_demande').innerHTML="<div class='ec'><b>"+xmlexp.responseText+" <img src='style/"+styleActif+"/images/ok.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick=\"document.getElementById('frame_demande').style.visibility='hidden';\"></b></div>";
      dispinvite= setTimeout("cacherDemande()",3000);
      naviguer(actuel);
    }
  }  
  